Create Api Key

​

Create a new API key for an account with MMS access.

Headers

  • Response format. Must be application/json.

  • Request payload format. Must be application/json when a body is sent.

Body·

required
application/json
  • the date-time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z

Responses

  • application/json
  • application/json
Request Example for post/v1/api-keys
curl https://api.uat.koard.com/v1/api-keys \
  --request POST \
  --header 'Accept: application/json' \
  --header 'Content-Type: application/json' \
  --header 'x-koard-apikey: YOUR_SECRET_TOKEN' \
  --data '{
  "account_id": "",
  "expires_at": "",
  "key": "",
  "name": ""
}'
{
  "account_id": "string",
  "created_at": "2026-10-05T00:11:32.449Z",
  "expires_at": "2026-10-05T00:11:32.449Z",
  "id": "string",
  "key": "string",
  "name": "string",
  "status": "active"
}